        .seg    ".text"
        .global &mFNAME
        .type   &mFNAME,#function
	.align 		4
&mFNAME:
	save    %sp,-0xc0,%sp
1:
	rd	%pc,%l7
	sethi	%hh(_GLOBAL_OFFSET_TABLE_ + (. - 1b)), %l0
	sethi	%lm(_GLOBAL_OFFSET_TABLE_ + (. - 1b)), %l1
	or	%l0,%hm(_GLOBAL_OFFSET_TABLE_ + (. - 1b)),%l0
	or	%l1,%lo(_GLOBAL_OFFSET_TABLE_ + (. - 1b)),%l1
	sllx	%l0,32,%l0
	or	%l0,%l1,%l0
	add 	%l7,%l0,%l7
	sethi   %hi(&mFNAM2),%l0
	or      %l0,%lo(&mFNAM2),%l0
	ldx    [%l7+%l0],%l0
	jmp     %l0
	restore 
